Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg.inkscape
Interface ElementProcessor

All Known Implementing Classes:
  DefsProcessor, EllipseProcessor, GroupProcessor, LineProcessor, PathProcessor, PolygonProcessor, RectProcessor, UseProcessor

    public interface ElementProcessor

The description of a module which processes a single XML element from a SVG (inkscape) document.

Author:
  kevin

Method Summary
`boolean` | `handles(org.w3c.dom.Element element)` Check if this processor handles the element specified
`void` | `process(Loader loader, org.w3c.dom.Element element, Diagram diagram, Transform transform)` Process a document extracting all the elements that the processor is interested in and producing appropriate diagram components for the element.

Method Detail

### process

    void process(Loader loader,
                 org.w3c.dom.Element element,
                 Diagram diagram,
                 Transform transform)
                 throws ParsingException

  Process a document extracting all the elements that the processor is interested in and producing appropriate diagram components for the element.

  Parameters:
    `loader` - The loader/context of the parsing
    `element` - The element to be processed
    `diagram` - The diagram to be built
    `transform` - The transform to apply to all elements at this level
  Throws:
    `ParsingException` - Indicates an invalid content to an element

### handles

    boolean handles(org.w3c.dom.Element element)

  Check if this processor handles the element specified

  Parameters:
    `element` - The element to check
  Returns:
    True if this processor can handle the given element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.